"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatTable = void 0;
const formatTable = (data = [], columns) => {
    const columnsRow = columns.map(({ label }) => label);
    const rows = data.map((record) => columns.map(({ propName, mapValue }) => mapValue ? mapValue(record) : record[propName]));
    return [columnsRow, ...rows];
};
exports.formatTable = formatTable;
