/// <reference types="react" />
export declare type FileExtensionType = 'xlsx' | 'csv';
export declare type CellType = string | number | boolean | Date | object;
export declare type ExcelFileOptions = {
    isNameHasDateTime?: boolean;
    extension?: FileExtensionType;
};
export declare type ExcelDownloadButtonProps = {
    fileName: string;
    data: CellType[][];
    options?: ExcelFileOptions;
    style?: React.CSSProperties;
    element?: React.ReactElement;
};
export declare type ExcelColumnsType<TData = Record<string, unknown>> = {
    label: string;
    propName: string;
    mapValue?: (record: TData) => CellType;
}[];
